# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain.provisioning
Class EmailListRecipientEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<EmailListRecipientEntry>
                  com.google.gdata.data.appsforyourdomain.provisioning.EmailListRecipientEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class EmailListRecipientEntry

extends BaseEntry<EmailListRecipientEntry>

Google Apps for Your Domain GData Entry which models a particular recipient on an email list. This is a simple Entry which contain only a single Who extension. This is temporary for code reviewers. Sample XML. `<?xml version="1.0" encoding="UTF-8"?> <atom:entry xmlns:atom="http://www.w3.org/2005/Atom"> <atom:category scheme="http://schemas.google.com/g/2005#kind" term="http://schemas.google.com/apps/2006#emailList.recipient"/> <gd:who xmlns:gd="http://schemas.google.com/g/2005" email="SusanJones-1321@apps-provisioning-test.com"/> </atom:entry>`

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `EMAILLIST_RECIPIENT_CATEGORY` Kind category used to label feeds or entries that have EmailListRecipient extension data.
`static java.lang.String` `EMAILLIST_RECIPIENT_KIND` Kind term value for EmailListRecipient category labels.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`EmailListRecipientEntry()` Constructs a new empty EmailListRecipientEntry with the appropriate kind category to indicate that it is an email list.
`EmailListRecipientEntry(BaseEntry<?> sourceEntry)` Constructs a new EmailListRecipientEntry by doing a shallow copy of data from an existing BaseEntry intance.

Method Summary
`void` `declareExtensions(ExtensionProfile extensionProfile)` Declares an Extension.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMAILLIST_RECIPIENT_KIND

    public static final java.lang.String EMAILLIST_RECIPIENT_KIND

  Kind term value for EmailListRecipient category labels.

  See Also:
    Constant Field Values

### EMAILLIST_RECIPIENT_CATEGORY

    public static final Category EMAILLIST_RECIPIENT_CATEGORY

  Kind category used to label feeds or entries that have EmailListRecipient extension data.

Constructor Detail

### EmailListRecipientEntry

    public EmailListRecipientEntry()

  Constructs a new empty EmailListRecipientEntry with the appropriate kind category to indicate that it is an email list.

### EmailListRecipientEntry

    public EmailListRecipientEntry(BaseEntry<?> sourceEntry)

  Constructs a new EmailListRecipientEntry by doing a shallow copy of data from an existing BaseEntry intance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extensionProfile)

  Declares an Extension.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extensionProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`